
* EXAMPLE 12 - NESTING FORMATS (USER-WRITTEN);

* ASSUME THIS IS A FORMAT IN A FORMAT LIBRARY;

proc format;
value $num2nam  
'0001'  = 'ALBANY MEDICAL CENTER HOSPITAL'
'0002'  = 'CHILDS HOSPITAL'
'0005'  = 'ST PETERS HOSPITAL'
'0012'  = 'OSWEGO HOSPITAL'
'0016'  = 'CATHOLIC MED CTR'
'0025'  = 'COHOES MEMORIAL HOSPITAL'
other   = 'UNKNOWN'
;
run;

* MAKE TWO MODIFICATIONS - ONE ADDITION, ONE LABEL CHANGE';

proc format;
value $numplus
'0004' = 'MEMORIAL HOSPITAL'
'0016' = 'CATHOLIC MED CTR (***CLOSED***)'
other  = [$num2nam35.]  
;
run;

title 'EXAMPLE 12 - FORMAT IN LIBRARY, FORMAT WITH MODIFICATIONS';
proc format;
select $num2nam $numplus;  
run;

data hospitals;  
input hospnum : $4. @@;
datalines;
0001 0004 0012 0015 0016 
;
run;

title 'EXAMPLE 12 - REPORT WRITTEN USING A NESTED FORMAT';
proc report data=hospitals nowd;  
columns hospnum hospnum=hospnam; 
define hospnam / 'name' format=$numplus.; 
run;
